Package org.opensaml.xmlsec.keyinfo.impl

# Class ChainingKeyInfoCredentialResolver

java.lang.Object
org.opensaml.security.credential.impl.AbstractCredentialResolver
org.opensaml.security.credential.impl.AbstractChainingCredentialResolver<KeyInfoCredentialResolver>
org.opensaml.xmlsec.keyinfo.impl.ChainingKeyInfoCredentialResolver

All Implemented Interfaces:
  `Resolver<Credential,CriteriaSet>`, `CredentialResolver`, `KeyInfoCredentialResolver`

public class ChainingKeyInfoCredentialResolver extends AbstractChainingCredentialResolver<KeyInfoCredentialResolver> implements KeyInfoCredentialResolver
A concrete implementation of `AbstractChainingCredentialResolver` which is scoped to the `KeyInfoCredentialResolver` type.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.security.credential.impl.AbstractChainingCredentialResolver

`AbstractChainingCredentialResolver.CredentialIterable, AbstractChainingCredentialResolver.CredentialIterator`

## Constructor Summary

Constructors
Constructor
Description
`ChainingKeyInfoCredentialResolver(List<KeyInfoCredentialResolver> resolverChain)`
Constructor.

## Method Summary

### Methods inherited from class org.opensaml.security.credential.impl.AbstractChainingCredentialResolver

`getResolverChain, resolve`

### Methods inherited from class org.opensaml.security.credential.impl.AbstractCredentialResolver

`resolveSingle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`

## Constructor Details

### ChainingKeyInfoCredentialResolver

public ChainingKeyInfoCredentialResolver(@Nonnull @ParameterName(name="resolverChain") List<KeyInfoCredentialResolver> resolverChain)
Constructor.

Parameters:
  `resolverChain` - the chain of KeyInfo credential resolvers